#ifndef ANTENNA_W_H
#define ANTENNA_W_H

#include <QMainWindow>
#include <QString>

#include "configuration.h"
#include "coverage.h"
#include "measurement.h"
#include "memory.h"
#include "port_com.h"
#include "switching.h"
#include "systeme.h"

namespace Ui {
class Antenna_w;
}

class Antenna_w : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit Antenna_w(QWidget *parent = 0);
    ~Antenna_w();
    void init_Antenna();
    void setAntenna(QWidget *ant, bool val);

signals:
    void sig_open_Serial(bool);

private slots:
    void on_actionConfig_triggered();
    void on_actionCoverage_triggered();
    void on_actionFactory_settings_triggered();
    void on_actionMeasurement_triggered();
    void on_actionTest_System_triggered();
    void on_actionSwitching_triggered();
    void on_actionClear_triggered();
    void set_Text(QString text);


private:
    Ui::Antenna_w *ui;
    QString text_;

};

#endif // ANTENNA_W_H
